Subject: Re: [net-next PATCH 00/15] eth: fbnic: Add network driver for Meta Platforms Host Network Interface

From: Jakub Kicinski <[email-masked]>
Date: Wed, 10 Apr 2024 10:56:19 -0700

On Wed, 10 Apr 2024 10:39:11 -0700 Florian Fainelli wrote:
> > Hm, we currently group by vendor but the fact it's a private device
> > is probably more important indeed. For example if Google submits
> > a driver for a private device it may be confusing what's public
> > cloud (which I think/hope GVE is) and what's fully private.
> > 
> > So we could categorize by the characteristic rather than vendor:
> > 
> > drivers/net/ethernet/${term}/fbnic/
> > 
> > I'm afraid it may be hard for us to agree on an accurate term, tho.
> > "Unused" sounds.. odd, we don't keep unused code, "private"
> > sounds like we granted someone special right not took some away,
> > maybe "exclusive"? Or "besteffort"? Or "staging" :D  IDK.  
> 
> Do we really need that categorization at the directory/filesystem level? 
> cannot we just document it clearly in the Kconfig help text and under 
> Documentation/networking/?

From the reviewer perspective I think we will just remember.
If some newcomer tries to do refactoring they may benefit from seeing
this is a special device and more help is offered. Dunno if a newcomer
would look at the right docs.

Whether it's more "paperwork" than we'll actually gain, I have no idea.
I may not be the best person to comment.